1. Nimm jetzt an unserem Uhans - 3. ADVENT - Gewinnspiel teil - Alle Informationen findest Du hier!

updater-script klappt nicht

Dieses Thema im Forum "Android OS Entwicklung / Customize" wurde erstellt von KapuzenSohn, 17.05.2012.

  1. KapuzenSohn, 17.05.2012 #1
    KapuzenSohn

    KapuzenSohn Threadstarter Neuer Benutzer

    Beiträge:
    24
    Erhaltene Danke:
    1
    Registriert seit:
    17.05.2012
    Hallo,

    habe mir letztens eine Custom ROM für den CWM-Recovery Modus heruntergeladen. Nun wollte ich ausprobieren mir selber ein Custom ROM zu erstellen und habe diese Anleitung gefunden: http://www.android-hilfe.de/root-ha...19145-community-updates-fuer-custom-roms.html Mit dieser Anleitung habe ich ein kleines script erstellt welches im Anhang ist. Meine Ordnerstruktur ist:
    - META-INF
    -> com
    --> google
    ---> updater-binary
    ---> updater-script
    - system
    -> app
    --> apk

    Nun will ich diese ZIP datei ausführen (im Recovery-Modus) Aber es kommt folgende Meldungen
    - Opening update Package
    - installing update
    - installation aborted

    weiß vielelciht einer von euch eine Lösung für das Problem?

    Mein Handy ist gerooted

    mfg KapuzenSohn
     

    Anhänge:

  2. email.filtering, 17.05.2012 #2
    email.filtering

    email.filtering Gast

    Erst einmal kann Dir keiner so genau sagen ob Dein Script funktionieren kann, denn das hängt neben dem Inhalt des Scripts auch sehr stark davon ab, welche update-binary Du verwenden willst.

    Sinnloses Unmounten und erneutes Mounten wird's wohl nicht bringen. Und wenn die update-binary kein Mounten beherrscht, ebenfalls nicht. Und dann wäre da noch zu klären, ob Du das richtige Dateisystem beim Mounten angibst usw.
     
  3. Fallwrrk, 18.05.2012 #3
    Fallwrrk

    Fallwrrk Gast

    Ich glaube, da liegt der Fehler. In den Ordner "google" muss noch der Ordner "Android" und da kommt "updater-binary" und "updater-script" rein.

    mfg Marcel
     
    KapuzenSohn bedankt sich.
  4. KapuzenSohn, 18.05.2012 #4
    KapuzenSohn

    KapuzenSohn Threadstarter Neuer Benutzer

    Beiträge:
    24
    Erhaltene Danke:
    1
    Registriert seit:
    17.05.2012
    Werde das später mal ausprobieren bin derzeit unterwegs
     
  5. KapuzenSohn, 18.05.2012 #5
    KapuzenSohn

    KapuzenSohn Threadstarter Neuer Benutzer

    Beiträge:
    24
    Erhaltene Danke:
    1
    Registriert seit:
    17.05.2012
    Habe das grad mit dem Ordner ausprobiert der fehlte wirklich leider funktioniert das immer noch nicht :mad:. Habe jetzt mal einen kompletten META-INF Ordner aus einem funktionierenden update.zip genommen aber auch damit funktioniert es leider nicht.
     
  6. email.filtering, 18.05.2012 #6
    email.filtering

    email.filtering Gast

    Nochmal, die Kombination aus Minibetriebssystem, update-binary, Befehlssyntax des updater-scipt's und dem Gerät muss stimmen. Passt bloß einer dieser vier Punkte nicht, war's das!

    Also such Dir was, dass diesen Kriterien entspricht und nimm es als Basis!
     
  7. KapuzenSohn, 18.05.2012 #7
    KapuzenSohn

    KapuzenSohn Threadstarter Neuer Benutzer

    Beiträge:
    24
    Erhaltene Danke:
    1
    Registriert seit:
    17.05.2012
    habe ja auch von dem update die binary genommen und das script habe ich dann geändert. Werde micb heute abend nochmal damit auseinander setzen. Vielen fldank für die Hilfe :)

    mfg KapuzenSohn
     
  8. XantiX, 20.05.2012 #8
    XantiX

    XantiX Android-Hilfe.de Mitglied

    Beiträge:
    96
    Erhaltene Danke:
    14
    Registriert seit:
    05.12.2011
    Lade dir einfach eine Rom für dein Handy runter, ersetze die Daten & das Script, dann sollte das ja eigentlich klappen
     
  9. KapuzenSohn, 20.05.2012 #9
    KapuzenSohn

    KapuzenSohn Threadstarter Neuer Benutzer

    Beiträge:
    24
    Erhaltene Danke:
    1
    Registriert seit:
    17.05.2012
    Hab ich auch schon gemacht. Habe eine udate.zip genommen die ich sowieso installieren wollte und habe diese dann nochmal kopiert und hier dann eine Zeile in der updater-script geändert. Dann habe ich beide aufs Handy gezogen. Im Recovery-Modus habe ich dann erst die Originale update.zip installiert -> Funktioniert. Dann habe ich meine bearbeitete Version genommen -> Funktioniert nicht :-(
     
  10. Fallwrrk, 20.05.2012 #10
    Fallwrrk

    Fallwrrk Gast

    Kann es vielleicht sein, dass du den Signature Check an hast?
     
  11. email.filtering, 20.05.2012 #11
    email.filtering

    email.filtering Gast

    Hast Du die Signatur der veränderten update.zip entfernt bzw. die Datei erneut signiert?
     
    KapuzenSohn bedankt sich.
  12. KapuzenSohn, 20.05.2012 #12
    KapuzenSohn

    KapuzenSohn Threadstarter Neuer Benutzer

    Beiträge:
    24
    Erhaltene Danke:
    1
    Registriert seit:
    17.05.2012
    Signieren???? Wie mache ich das? Vielleicht liegt da der fehler
     
  13. XMasterNinni, 20.05.2012 #13
    XMasterNinni

    XMasterNinni Android-Experte

    Beiträge:
    482
    Erhaltene Danke:
    143
    Registriert seit:
    23.12.2011
    Phone:
    ZTE Blade
    App -> ZipSigner
     
    KapuzenSohn bedankt sich.
  14. KapuzenSohn, 20.05.2012 #14
    KapuzenSohn

    KapuzenSohn Threadstarter Neuer Benutzer

    Beiträge:
    24
    Erhaltene Danke:
    1
    Registriert seit:
    17.05.2012
    Das Programm ist leider nicht kompatible mit dem Galaxy Y :-( gibt es noch ein anderes Programm vielleicht auch für Windows weil seit einigerzeit hat der google play market macken
     
  15. XMasterNinni, 20.05.2012 #15
    XMasterNinni

    XMasterNinni Android-Experte

    Beiträge:
    482
    Erhaltene Danke:
    143
    Registriert seit:
    23.12.2011
    Phone:
    ZTE Blade
    Natürlich. Google einfach nach "Zip Signer Windows" oder "Zip signieren Windows" etc...
     
  16. KapuzenSohn, 20.05.2012 #16
    KapuzenSohn

    KapuzenSohn Threadstarter Neuer Benutzer

    Beiträge:
    24
    Erhaltene Danke:
    1
    Registriert seit:
    17.05.2012
    Hab mir grad im Internet die apk Datei heruntergeladen und installiert. Habe dann bei Key/Mod einmal Auto-Teskey genommen und none ausgewählt und beide haben nicht funktioniert habe ich vielleicht was falschen ausgewählt?

    mfg KapuzenSohn
     
  17. email.filtering, 20.05.2012 #17
    email.filtering

    email.filtering Gast

    Alles was man braucht sind ein oder zwei Java-Dateien sowie einen Key und das Zertifikat; eventuell auch noch verpackt in einer .jar-Datei. Wer lustig ist, macht sich dann auch noch eine Batch-Datei dazu und das war's auch schon.

    Installiert sein muss ein JRE ab 1.6. Ein JDK ist nicht erforderlich.

    Also sieh zu, dass Du endlich in die Gänge kommst, sonst wird's mit Deiner OS-Version bis Android 5.0 nichts mehr. ;)
     

    Anhänge:

    KapuzenSohn bedankt sich.
  18. scheichuwe, 21.05.2012 #18
    scheichuwe

    scheichuwe Android-Ikone

    Beiträge:
    5,441
    Erhaltene Danke:
    2,541
    Registriert seit:
    09.09.2009
    Phone:
    LG G4
    Mit welchem Programm hast du das updater-script eigentlich bearbeitet?

    Steht da noch mehr (Status irgendwas)? Oder ist das alles?
     
  19. KapuzenSohn, 21.05.2012 #19
    KapuzenSohn

    KapuzenSohn Threadstarter Neuer Benutzer

    Beiträge:
    24
    Erhaltene Danke:
    1
    Registriert seit:
    17.05.2012
    @email
    man gut das ist für Android 2.3.6 :)

    @ scheichuwe
    das ist leider alles
     
  20. email.filtering, 22.05.2012 #20
    email.filtering

    email.filtering Gast

    Na, dann sag uns mal mit welchem Minibetriebssystem bei welchem Gerät die update.zip laufen soll und hängt das bisherige Ergebnis hier dran.
     

Diese Seite empfehlen